For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Status
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
OverviewProductsManageAPI ReferenceTutorialsClient Libraries
  • API Reference
      • GETList recordings
      • POSTCreate recording
      • GETGet recording
      • DELDelete recording
      • PATCHUpdate recording
Status
LogoLogo
API ReferenceRecordings

Create recording

POST
https://app.resemble.ai/api/v2/voices/:voice_uuid/recordings
POST
/api/v2/voices/:voice_uuid/recordings
$curl -X POST https://app.resemble.ai/api/v2/voices/voice_uuid/recordings \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@string \
> -F name="string" \
> -F text="string" \
> -F emotion="string" \
> -F is_active='true'
200Successful
1{
2 "success": true,
3 "item": {}
4}
Upload a new recording for voice training
Was this page helpful?
Previous

Get recording

Next
Built with

Authentication

AuthorizationBearer

API token from https://app.resemble.ai/account/api

Path parameters

voice_uuidstringRequired

Request

This endpoint expects a multipart form containing a file.
filefileRequired

Audio file (WAV recommended, 1-12 seconds)

namestringRequired
Display name
textstringRequired
Transcript of the clip
emotionstringRequired
Emotion label
is_activebooleanRequired
Include in training
fillbooleanOptional
Include for Resemble Fill

Response

Recording created
successboolean
itemobject